stages:
  - build-push-docker

variables:
  IMAGE_TAG: $CI_REGISTRY_IMAGE

build-push-docker-job:
  only:
    - master
  stage: build-push-docker
  image: docker:latest
  services:
    - docker:dind
  before_script:
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
  script:
    - docker build -t $IMAGE_TAG .
    - docker push $IMAGE_TAG
  needs: []
